Subject: [Ietf-and-github] Fwd: License File for Open Source Repositories

From: "Paul Hoffman" <[email-masked]>
Date: Fri, 23 Dec 2016 08:33:23 -0800

Of interest to this mailing list. Please send all responses that you 
want acted on to the IESG, but it's fine to discuss them here as well.

Forwarded message:

> From: IESG Secretary <[email-masked]>
> To: IETF Announcement List <[email-masked]>
> Cc: [email-masked], [email-masked]
> Subject: License File for Open Source Repositories
> Date: Fri, 23 Dec 2016 07:36:53 -0800
>
> The IESG has observed that many working groups work with open source
> repositories even for their work on specifications. That's great, and
> we're happy to see this development, as it fits well the working style
> of at least some of our working groups. This style is also likely to 
> be
> more popular in the future.
>
> As always, we'd like to understand areas where we can either be 
> helpful
> in bringing in some new things such as tooling, or where we need to
> integrate better between the repository world and the IETF process. As
> an example of the latter, we're wondering whether it would be helpful 
> to
> have a standard boilerplate for these repositories with respect to the
> usual copyright and other matters. The intent is for such text to be
> placed in a suitable file (e.g., "CONTRIBUTING"), probably along with
> some additional information that is already present in these files in
> many repositories. The idea is that people should treat, e.g., text
> contributions to a draft-foo.xml in a repository much in the same way 
> as
> they treat text contributions on the list, at least when it comes to
> copyright, IPR, and other similar issues.
>
> We have worked together with the IETF legal team and few key experts
> from the IETF who are actively using these repositories, and suggest 
> the
> following text.
>
> We're looking to make a decision on this matter on our January 19th,
> 2017 IESG Telechat, and would appreciate feedback before then. This
> message will be resent after the holiday period is over to make sure 
> it
> is noticed. Please send comments to the IESG ([email-masked]) by 
> 2017-01-17.
>
> The IESG
>
> ——
>
> This repository relates to activities in the Internet Engineering Task
> Force(IETF). All material in this repository is considered 
> Contributions
> to the IETF Standards Process, as defined in the intellectual property
> policies of IETF currently designated as BCP 78
> (https://www.rfc-editor.org/info/bcp78), BCP 79
> (https://www.rfc-editor.org/info/bcp79) and the IETF Trust Legal
> Provisions (TLP) Relating to IETF Documents
> (http://trustee.ietf.org/trust-legal-provisions.html).
>
> Any edit, commit, pull-request, comment or other change made to this
> repository constitutes Contributions to the IETF Standards Process. 
> You
> agree to comply with all applicable IETF policies and procedures,
> including, BCP 78, 79, the TLP, and the TLP rules regarding code
> components (e.g. being subject to a Simplified BSD License) in
> Contributions.